Subject: Re: [PATCH 4/4] [POWERPC] fsl_spi_init and users: stop using device_type = "spi"

From: Olof Johansson <[email-masked]>
Date: Wed, 19 Dec 2007 17:50:37 -0600

On Thu, Dec 20, 2007 at 12:12:50AM +0300, Anton Vorontsov wrote:

> I though about it. Is your device tree source out of tree? Otherwise
> it should be trivial to upgrade the dtb, instead of producing cruft in
> the kernel. I vote for less legacy code, but lets see what others will
> say. So far count is 1:1. ;-)

It's not just that. kexec:ing a new kernel from an older that has the
old device tree breaks if you don't consider older device trees. Or you
might have an old firmware with a flashed device tree that you need to
keep compatibility with.

You should either fix up the "broken" (not latest and greatest) device
trees in the wrapper before using them, or make sure that your code is
still compatible with the old trees.

The fact that the device tree source code is distributed with the kernel
isn't an excuse to break backwards compatibility with older versions.

-Olof